<?php

Route::group(['middleware' => ['web', 'auth', 'is_admin']], function(){

	Route::resource('admin/shop/product', 'Onestartup\Shop\Controller\AdminProductController', ['as'=>'admin.shop']);
	Route::resource('admin/shop/category', 'Onestartup\Shop\Controller\CategoryController', ['as'=>'admin.shop']);

	Route::resource('admin/shop/extra-fields', 'Onestartup\Shop\Controller\ExtraFieldController', ['as'=>'admin.shop']);

	Route::resource('admin/shop/shipping', 'Onestartup\Shop\Controller\ShippingPriceController', ['as'=>'admin.shop']);

	Route::delete('admin-shop-category/delete/cover{id}', 
				'Onestartup\Shop\Controller\CategoryController@deleteCover')
				->name('admin-shop-category.delete.cover');

	Route::get('admin-shop-product/datatable', 
				'Onestartup\Shop\Controller\AdminProductController@getProducts')
				->name('admin-shop-product.datatable');

	Route::post('admin-shop-product/{id}/store/gallery', 
				'Onestartup\Shop\Controller\AdminProductController@storeGallery')
				->name('admin-shop-product.store.gallery');

	Route::delete('admin-shop-product/delete/gallery/{id}', 
				'Onestartup\Shop\Controller\AdminProductController@deleteImage')
				->name('admin-shop-product.delete.gallery');

	Route::delete('admin-shop-product/delete/cover/{id}', 
				'Onestartup\Shop\Controller\AdminProductController@deleteCover')
				->name('admin-shop-product.delete.cover');

	Route::get('admin/product/variable', 
				'Onestartup\Shop\Controller\AdminProductController@showVars')
				->name('admin-shop-product.view.vars');

	Route::post('admin/product/variable', 
				'Onestartup\Shop\Controller\AdminProductController@postVars')
				->name('admin-shop-product.store.vars');

	Route::post('admin/shop/product-extra', 
				'Onestartup\Shop\Controller\AdminProductController@extraInfo')
				->name('admin-shop-product.extra.info');

});

Route::group(['middleware' => ['web']], function(){

	Route::bind('product_slug', function ($slug)
	{
		return Onestartup\Shop\Model\ProductShop::where('slug', $slug)->first();
	});

	Route::get('cart/show', 'Onestartup\Shop\Controller\CartController@show')->name('cart.show');
	Route::get('cart/add/{product_slug}', 'Onestartup\Shop\Controller\CartController@add')->name('cart.add');
	Route::get('cart/remove/{product_slug}', 'Onestartup\Shop\Controller\CartController@remove')->name('cart.remove');
	Route::get('cart/trash', 'Onestartup\Shop\Controller\CartController@trash')->name('cart.trash');
	Route::get('cart/shipping', 'Onestartup\Shop\Controller\CartController@shipping')->name('cart.shipping');
	Route::get('cart/finish', 'Onestartup\Shop\Controller\CartController@finish')->name('cart.finish');
	Route::get('cart/cancel', 'Onestartup\Shop\Controller\CartController@cancel')->name('cart.cancel');
	Route::post('cart/store/client', 'Onestartup\Shop\Controller\CartController@storeClient')->name('cart.store.client');

	Route::get('cart/update/{product_slug}/{quantity}', 'Onestartup\Shop\Controller\CartController@update')
		->where('quantity', '[0-9]+')
		->name('cart.update');


	Route::get('producto/{slug}', 'Onestartup\Shop\Controller\ProductController@show')->name('show.shop');
	Route::get('shop', 'Onestartup\Shop\Controller\ProductController@index')->name('main.shop');
	//Route::get('cart/{product_id}')
});
